This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 435058 - Review Request: splat - Analyze point-to-point terrestrial RF communication links
Review Request: splat - Analyze point-to-point terrestrial RF communication ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-26 22:09 EST by Steve Conklin
Modified: 2008-03-03 13:27 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-02 17:14:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
vanmeeuwen+fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Steve Conklin 2008-02-26 22:09:02 EST
Spec URL: http://bjensen.fedorapeople.org/pkgs/hams/SPECS/splat.spec
SRPM URL: http://bjensen.fedorapeople.org/pkgs/hams/SRPMS/splat-1.2.1-4.fc9.src.rpm
Description:


SPLAT! is a Surface Path Length And Terrain analysis application written for
Linux and Unix workstations. SPLAT! analyzes point-to-point terrestrial RF 
communication links, and provides information useful to communication system
designers and site engineers.
Comment 1 Jeroen van Meeuwen 2008-02-28 17:16:21 EST
RPM Lint: OK
Package name: OK
Spec file: OK
License: OK
Actual License: OK
%doc License: OK
Spec file language: OK
Spec file readable: OK
Upstream source vs. used tarball: OK
Compile and Build:
 - F-7: OK
 - F-8: OK
 - rawhide: OK
 - EL-5: OK

Applicable Package Guidelines:
 - -utils subpackage requires base package: OK
 - no duplicate ownership of files and directories between the split packages: OK
 - debuginfo package: small but OK (~12K for a small binary)

Locales: N/A
Shared libs: N/A
Relocatable: N/A
Directory and file ownership: OK
No duplicate files in %files: OK
File Permissions: OK
Macro usage: OK
Code vs. Content: OK
(Large) Documentation: OK
%doc affecting runtime: N/A
Header files in -devel package: N/A
Static Libraries in -static package: N/A
pkgconfig Requires: N/A
Library files: N/A
Devel requires base package: N/A
.la libtool archives: OK
Duplicate ownership of files/directories: OK
Remove BuildRoot: OK
UTF-8 filenames: OK

Suggestion: move the .desktop and icon file from the -utils subpackage to the
base package.
Comment 2 Steve Conklin 2008-02-28 20:28:15 EST
Actually, splat has no gui, and needs to be run from the command line.

I removed the desktop file and icon.

New srpm:
http://bjensen.fedorapeople.org/pkgs/hams/SRPMS/splat-1.2.1-6.fc9.src.rpm
New spec:
http://bjensen.fedorapeople.org/pkgs/hams/SPECS/splat.spec
Comment 3 Jeroen van Meeuwen 2008-03-02 10:04:32 EST
APPROVED
Comment 4 Steve Conklin 2008-03-02 12:06:11 EST
New Package CVS Request
=======================
Package Name: splat
Short Description: Analyze point-to-point terrestrial RF communication links
Owners: sconklin, bjensen
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: yes

Comment 5 Kevin Fenzi 2008-03-02 12:23:51 EST
cvs done.
Comment 6 Fedora Update System 2008-03-02 17:02:54 EST
splat-1.2.1-6.fc8 has been submitted as an update for Fedora 8
Comment 7 Fedora Update System 2008-03-02 17:03:34 EST
splat-1.2.1-6.fc7 has been submitted as an update for Fedora 7
Comment 8 Robert 'Bob' Jensen 2008-03-02 17:14:04 EST
Thank you for the review.
Comment 9 Fedora Update System 2008-03-03 13:23:29 EST
splat-1.2.1-6.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2008-03-03 13:27:19 EST
splat-1.2.1-6.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.